Subject: Re: [PATCH v3] testing/wiimms-szs-tools: new aport

From: "Sebastian" <[email-masked]>
Date: Sun, 02 Jan 2022 22:15:23 -0500

On Sun Jan 2, 2022 at 8:23 AM EST, Bart Ribbers wrote:
> Hey this looks awesome. If I may ask, what need do you have for these
> tools? I'm a big emulator player myself and have patched Mario Kart Wii
> to be able to play online still and stuff, but I wonder what else you
> would use these tools for.

I mainly use them for modifying textures and models, but they can also
be used to encode/decode track files and to create custom track
distributions. The homepage[1] has lots of documentation, and the Custom
Mario Kart Wiiki also has a useful overview[2] and tutorial[3].

Since you're using emulator, the easiest way to use this is probably in
junction with Wiimms ISO Tools. That way, you can use `wit extract` to
extract the contents of the Mario Kart Wii ISO/WBFS, the various SZS
tools to view and modify game files, then `wit copy` to create the new
patched ISO. Though note that if you're just downloading custom assets
online and not creating your own or making changes, you likely don't
need to use the SZS tools.

Happy to see I'm not the only Alpine user who plays Mario Kart Wii. :)

[1]: https://szs.wiimm.de/
[2]: http://wiki.tockdom.com/w/index.php?title=Wiimms_SZS_Tools
[3]: http://wiki.tockdom.com/w/index.php?title=Wiimms_SZS_Tools/How_To

- Sebastian